use crate::ommui::{DeviceSettings, SampleCachedInformation};
use crate::Result;
use arnalisa::Calibration;
use indexmap::IndexMap;
use uuid::Uuid;

pub trait StorableDevice {
    fn store_calibration(
        &mut self,
        calibration_id: &str,
        calibration: &Calibration,
    ) -> Result<()>;

    fn store_device_settings(
        &mut self,
        settings: &DeviceSettings,
    ) -> Result<()>;

    fn store_sample_cached_information(
        &self,
        cached_information: &IndexMap<Uuid, SampleCachedInformation>,
    ) -> Result<()>;
}
