use indexmap::IndexMap;

pub mod filesystem;
pub mod loadable_device;

pub use loadable_device::LoadableDevice;

pub type FieldMapping = IndexMap<String, String>;
pub type JobMapping = IndexMap<String, FieldMapping>;
pub type JobSetMapping = IndexMap<String, JobMapping>;

#[derive(Clone, Debug)]
pub struct Calibration {
    pub mappings: JobSetMapping,
}
